Ptex: PtexFilter::Options Struct Reference

Ptex

Public Member Functions | Public Attributes | List of all members
PtexFilter::Options Struct Reference

Choose filter options. More...

`#include <Ptexture.h>`

## Public Member Functions
| Options (FilterType filter_=f_box, bool lerp_=0, float sharpness_=0, bool noedgeblend_=0)
| Constructor - sets defaults. More...

## Public Attributes
int | __structSize
| (for internal use only) More...
FilterType | filter
| Filter type. More...
bool | lerp
| Interpolate between mipmap levels. More...
float | sharpness
| Filter sharpness, 0..1 (for general bi-cubic filter only). More...
bool | noedgeblend
| Disable cross-face filtering. Useful for debugging or rendering on polys. More...

## Detailed Description

Choose filter options.

Definition at line 969 of file Ptexture.h.

## Constructor & Destructor Documentation

## ◆ Options()

PtexFilter::Options::Options | ( | FilterType | filter_ = `f_box`,
|  | bool | lerp_ = `0`,
|  | float | sharpness_ = `0`,
|  | bool | noedgeblend_ = `0`
| ) |  |
| inline

Constructor - sets defaults.

Definition at line 977 of file Ptexture.h.

References PTEXAPI, Ptex::Res::u(), and Ptex::Res::v().

## Member Data Documentation

## ◆ __structSize

int PtexFilter::Options::__structSize

(for internal use only)

Definition at line 970 of file Ptexture.h.

Referenced by PtexSeparableFilter::PtexSeparableFilter().

## ◆ filter

FilterType PtexFilter::Options::filter

Filter type.

Definition at line 971 of file Ptexture.h.

Referenced by PtexFilter::getFilter().

## ◆ lerp

bool PtexFilter::Options::lerp

Interpolate between mipmap levels.

Definition at line 972 of file Ptexture.h.

## ◆ noedgeblend

bool PtexFilter::Options::noedgeblend

Disable cross-face filtering. Useful for debugging or rendering on polys.

Definition at line 974 of file Ptexture.h.

Referenced by PtexSeparableFilter::PtexSeparableFilter(), and PtexSeparableFilter::splitAndApply().

## ◆ sharpness

float PtexFilter::Options::sharpness

Filter sharpness, 0..1 (for general bi-cubic filter only).

Definition at line 973 of file Ptexture.h.

Referenced by PtexFilter::getFilter().

The documentation for this struct was generated from the following file:

- Ptexture.h